Bug 795188 - Xinetd looping
Summary: Xinetd looping
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xinetd
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-19 23:43 UTC by jeff
Modified: 2012-03-19 08:16 UTC (History)
2 users (show)

Fixed In Version: xinetd-2.3.14-42.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-19 08:16:21 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 790036 0 urgent CLOSED xinetd leaking file descriptors 2021-06-10 10:37:51 UTC

Internal Links: 790036

Description jeff 2012-02-19 23:43:33 UTC
Description of problem: Xinetd use 50% cpu on start up


Version-Release number of selected component (if applicable):
3.2.6-3 Kernel

How reproducible:
easy

Steps to Reproduce:
1. reboot machine run top xinetd at the top
2. Kill xinetd
3. Start xinetd -d
  
Actual results:
Looping caught:
12/2/19@17:37:43: DEBUG: 14013 {main_loop} select returned 1
12/2/19@17:37:43: ERROR: 14013 {main_loop} 1 descriptors still set
12/2/19@17:37:43: DEBUG: 14013 {main_loop} active_services = 2
12/2/19@17:37:43: DEBUG: 14013 {main_loop} select returned 1
12/2/19@17:37:43: ERROR: 14013 {main_loop} 1 descriptors still set
12/2/19@17:37:43: DEBUG: 14013 {main_loop} active_services = 2
12/2/19@17:37:43: DEBUG: 14013 {main_loop} select returned 1
12/2/19@17:37:43: ERROR: 14013 {main_loop} 1 descriptors still set
12/2/19@17:37:43: DEBUG: 14013 {main_loop} active_services = 2
12/2/19@17:37:43: DEBUG: 14013 {main_loop} select returned 1
12/2/19@17:37:43: ERROR: 14013 {main_loop} 1 descriptors still set
12/2/19@17:37:43: DEBUG: 14013 {main_loop} active_services = 2
12/2/19@17:37:43: DEBUG: 14013 {main_loop} select returned 1
12/2/19@17:37:43: ERROR: 14013 {main_loop} 1 descriptors still set
12/2/19@17:37:43: DEBUG: 14013 {main_loop} active_services = 2
12/2/19@17:37:43: DEBUG: 14013 {main_loop} select returned 1
12/2/19@17:37:43: ERROR: 14013 {main_loop} 1 descriptors still set
12/2/19@17:37:43: DEBUG: 14013 {main_loop} active_services = 2
12/2/19@17:37:43: DEBUG: 14013 {main_loop} select returned 1
12/2/19@17:37:43: ERROR: 14013 {main_loop} 1 descriptors still set
12/2/19@17:37:43: DEBUG: 14013 {main_loop} active_services = 2
12/2/19@17:37:43: DEBUG: 14013 {main_loop} select returned 1
12/2/19@17:37:43: ERROR: 14013 {main_loop} 1 descriptors still set
12/2/19@17:37:43: DEBUG: 14013 {main_loop} active_services = 2
12/2/19@17:37:43: DEBUG: 14013 {main_loop} select returned 1
12/2/19@17:37:43: ERROR: 14013 {main_loop} 1 descriptors still set
12/2/19@17:37:43: DEBUG: 14013 {main_loop} active_services = 2
12/2/19@17:37:43: DEBUG: 14013 {main_loop} select returned 1
12/2/19@17:37:43: ERROR: 14013 {main_loop} 1 descriptors still set
12/2/19@17:37:43: DEBUG: 14013 {main_loop} active_services = 2


Expected results:
No looping an no cpu usgae

Additional info:

Comment 3 Jan Synacek 2012-03-02 08:36:33 UTC
Fixed in rawhide:
http://lists.fedoraproject.org/pipermail/scm-commits/2012-March/745046.html

Comment 4 Fedora Update System 2012-03-02 08:53:52 UTC
xinetd-2.3.14-42.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xinetd-2.3.14-42.fc17

Comment 5 Fedora Update System 2012-03-02 09:46:33 UTC
xinetd-2.3.14-42.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xinetd-2.3.14-42.fc16

Comment 6 Fedora Update System 2012-03-10 02:07:56 UTC
xinetd-2.3.14-42.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-03-17 23:42:31 UTC
xinetd-2.3.14-42.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.